package io.tswf.minecraft.blockventure.api.registry

import groovy.transform.CompileStatic
import net.minecraft.item.Item
import net.minecraft.registry.Registries

@CompileStatic
class ItemRegistry {

    static <T extends Item> T registerItem(T item, String key) {
        return (T) Register.register(Registries.ITEM, item, key)
    }
}
